import * as $dara from '@darabonba/typescript';
import { DescribeDeploymentSetSupportedInstanceTypeFamilyResponseBody } from "./DescribeDeploymentSetSupportedInstanceTypeFamilyResponseBody";
export declare class DescribeDeploymentSetSupportedInstanceTypeFamilyResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeDeploymentSetSupportedInstanceTypeFamilyResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
